"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const createSpellingDictionary_1 = require("./createSpellingDictionary");
const SpellingDictionaryError_1 = require("./SpellingDictionaryError");
describe('Validate createSpellingDictionary', () => {
    test('createFailedToLoadDictionary', () => {
        var _a;
        const error = new Error('error');
        const loaderError = new SpellingDictionaryError_1.SpellingDictionaryLoadError('./missing.txt', { name: 'failed dict', path: './missing.txt' }, error, 'Failed to load');
        const d = createSpellingDictionary_1.createFailedToLoadDictionary(loaderError);
        expect(d).toBeTruthy();
        expect((_a = d.getErrors) === null || _a === void 0 ? void 0 : _a.call(d)).toEqual([loaderError]);
        expect(d.suggest('error')).toEqual([]);
        expect(d.mapWord('café')).toBe('café');
        expect(d.has('fun')).toBe(false);
    });
});
//# sourceMappingURL=createSpellingDictionary.test.js.map