"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const cspell = __importStar(require("../index"));
const path = __importStar(require("path"));
const fsp = __importStar(require("fs-extra"));
const samples = path.join(__dirname, '..', '..', 'samples', 'bug-fixes');
const configFile = path.join(samples, 'cspell.json');
const files = ['bug345.ts', '../src/sample.go'];
describe('Validate Against Bug Fixes', () => {
    jest.setTimeout(10000);
    function t(filename) {
        test(`validate ${filename}`, async () => {
            const fullFilename = path.resolve(samples, filename);
            const ext = path.extname(filename);
            const text = await fsp.readFile(fullFilename, 'utf-8');
            const languageIds = cspell.getLanguagesForExt(ext);
            const settings = cspell.mergeSettings(cspell.getDefaultSettings(), cspell.readSettings(configFile));
            const fileSettings = cspell.combineTextAndLanguageSettings(settings, text, languageIds);
            const result = await cspell.validateText(text, fileSettings);
            expect(result).toMatchSnapshot();
        });
    }
    files.forEach(t);
});
//# sourceMappingURL=bugs.spec.js.map