"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const cspell = __importStar(require("../index"));
const path = __importStar(require("path"));
const fsp = __importStar(require("fs-extra"));
const util = __importStar(require("../util/util"));
const sampleFilename = path.join(__dirname, '..', '..', 'samples', 'Dutch.txt');
const text = fsp.readFileSync(sampleFilename, 'utf8').toString();
const dutchConfig = require.resolve('@cspell/dict-nl-nl/cspell-ext.json');
describe('Validate that Dutch text is correctly checked.', () => {
    jest.setTimeout(10000);
    test('Tests the default configuration', () => {
        expect(Object.keys(text)).not.toHaveLength(0);
        const ext = path.extname(sampleFilename);
        const languageIds = cspell.getLanguagesForExt(ext);
        const dutchSettings = cspell.readSettings(dutchConfig);
        const settings = cspell.mergeSettings(cspell.getDefaultSettings(), dutchSettings, {
            language: 'en,nl',
        });
        const fileSettings = cspell.combineTextAndLanguageSettings(settings, text, languageIds);
        return cspell.validateText(text, fileSettings).then((results) => {
            /* cspell:ignore ANBI RABO RABONL unported */
            expect(results
                .map((a) => a.text)
                .filter(util.uniqueFn())
                .sort()).toEqual(['ANBI', 'RABO', 'RABONL', 'unported']);
            return;
        });
    });
});
//# sourceMappingURL=dutch.spec.js.map