"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const cspell = __importStar(require("../index"));
const path = __importStar(require("path"));
const fsp = __importStar(require("fs-extra"));
const sampleFilename = path.join(__dirname, '..', '..', 'samples', 'src', 'sample.go');
const sampleFile = fsp.readFile(sampleFilename, 'utf8').then((buffer) => buffer.toString());
describe('Validate that Go files are correctly checked.', () => {
    jest.setTimeout(10000);
    test('Tests the default configuration', async () => {
        const text = await sampleFile;
        expect(Object.keys(text)).not.toHaveLength(0);
        const ext = '.go';
        const languageIds = cspell.getLanguagesForExt(ext);
        const settings = cspell.getDefaultSettings();
        const fileSettings = cspell.combineTextAndLanguageSettings(settings, text, languageIds);
        // cspell:ignore weirdd garbbage
        const results1 = await cspell.validateText('some weirdd garbbage', fileSettings);
        expect(results1.map((t) => t.text)).toEqual(expect.arrayContaining(['weirdd']));
        expect(results1.map((t) => t.text)).toEqual(expect.arrayContaining(['garbbage']));
        const results = await cspell.validateText(text, fileSettings);
        expect(results).toHaveLength(1);
        expect(results.map((t) => t.text)).toEqual(expect.arrayContaining(['garbbage']));
    });
});
//# sourceMappingURL=golang.spec.js.map