"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const FreqCounter_1 = require("./FreqCounter");
describe('Validate FreqCounter', () => {
    test('Creating an empty Counter', () => {
        const counter = FreqCounter_1.FreqCounter.create();
        expect(counter).toBeInstanceOf(FreqCounter_1.FreqCounter);
        expect(counter.total).toBe(0);
        expect(counter.getFreq(1)).toBe(0);
        expect(counter.counters).toBeInstanceOf(Map);
    });
    test('Adding values to a counter', () => {
        const counter = FreqCounter_1.FreqCounter.create([1, 1, 2, 3]);
        expect(counter.total).toBe(4);
        expect(counter.getCount(1)).toBe(2);
        expect(counter.getCount(2)).toBe(1);
        expect(counter.getFreq(1)).toBe(0.5);
    });
    test('merging counters', () => {
        const counter = FreqCounter_1.FreqCounter.create([1, 1, 2, 3]);
        const counter2 = FreqCounter_1.FreqCounter.create([1, 2, 2, 3, 3]);
        expect(counter.total).toBe(4);
        expect(counter2.total).toBe(5);
        counter.merge(counter2, counter2);
        expect(counter.total).toBe(14);
        expect(counter.getCount(1)).toBe(4);
    });
});
//# sourceMappingURL=FreqCounter.test.js.map