"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Memorizer_1 = require("./Memorizer");
describe('Validate Memorizer', () => {
    test('the memorizer works', () => {
        const counts = new Map();
        const fn = (a) => {
            counts.set(a, (counts.get(a) || 0) + 1);
            return a;
        };
        const calc = Memorizer_1.memorizer(fn);
        const fnTest = (v, expected, repeat) => {
            for (; repeat > 0; repeat--) {
                expect(calc(v)).toBe(v);
                expect(counts.get(v)).toBe(expected);
            }
        };
        fnTest(5, 1, 5);
        fnTest(6, 1, 5);
        fnTest(0, 1, 5);
    });
    test('cache reset', () => {
        const counts = new Map();
        const fn = (a) => {
            counts.set(a, (counts.get(a) || 0) + 1);
            return a;
        };
        const calc = Memorizer_1.memorizer(fn, 2);
        const fnTest = (v, expected, repeat) => {
            for (; repeat > 0; repeat--) {
                expect(calc(v)).toBe(v);
                expect(counts.get(v)).toBe(expected);
            }
        };
        fnTest(5, 1, 5);
        fnTest(6, 1, 5);
        fnTest(0, 1, 5);
        fnTest(5, 2, 5);
        fnTest(6, 2, 5);
        fnTest(0, 2, 5);
    });
});
//# sourceMappingURL=Memorizer.test.js.map