"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable node/no-extraneous-require */
/* eslint-disable node/no-missing-require */
const resolveFile_1 = require("./resolveFile");
const path = __importStar(require("path"));
const comment_json_1 = require("comment-json");
const fs = __importStar(require("fs"));
const os = __importStar(require("os"));
const defaultConfigFile = require.resolve('@cspell/cspell-bundled-dicts/cspell-default.json');
const defaultConfigLocation = path.dirname(defaultConfigFile);
const config = comment_json_1.parse(fs.readFileSync(defaultConfigFile, 'utf-8'));
const ext = path.extname(__filename);
const notFound = '1fgh0dld6y56cr1wls.r9bp0ckc00ds0gna.json';
const userNotFound = path.join('~', notFound);
describe('Validate resolveFile', () => {
    test.each `
        filename                                      | relativeTo   | expected                                               | found
        ${__filename}                                 | ${__dirname} | ${__filename}                                          | ${true}
        ${'.' + path.sep + path.basename(__filename)} | ${__dirname} | ${__filename}                                          | ${true}
        ${'.' + path.sep + notFound}                  | ${__dirname} | ${path.resolve(__dirname, notFound)}                   | ${false}
        ${path.relative(__dirname, __filename)}       | ${__dirname} | ${__filename}                                          | ${true}
        ${'@cspell/dict-cpp/cspell-ext.json'}         | ${__dirname} | ${require.resolve('@cspell/dict-cpp/cspell-ext.json')} | ${true}
        ${'cspell-ext.json'}                          | ${__dirname} | ${path.resolve(__dirname, 'cspell-ext.json')}          | ${false}
        ${`./resolveFile${ext}`}                      | ${__dirname} | ${require.resolve('./resolveFile')}                    | ${true}
        ${`resolveFile${ext}`}                        | ${__dirname} | ${require.resolve('./resolveFile')}                    | ${true}
        ${'lerna'}                                    | ${__dirname} | ${require.resolve('lerna')}                            | ${true}
        ${userNotFound}                               | ${__dirname} | ${path.resolve(path.join(os.homedir(), notFound))}     | ${false}
    `('resolveFile "$filename" rel "$relativeTo"', validateResolveFile);
    test.each(config.import
        .map((f) => ({
        filename: f,
        relativeTo: defaultConfigLocation,
        expected: require.resolve(f, { paths: [defaultConfigLocation] }),
        found: true,
    }))
        .map(({ filename, relativeTo, expected, found }) => [filename, relativeTo, expected, found]))('resolveFile "%s" rel "%s"', validateResolveArgs);
    function validateResolveFile({ filename, relativeTo, expected, found }) {
        validateResolveArgs(filename, relativeTo, expected, found);
    }
    function validateResolveArgs(filename, relativeTo, expected, found) {
        const r = resolveFile_1.resolveFile(filename, relativeTo);
        expect(r.filename).toBe(expected);
        expect(r.found).toBe(found);
    }
});
//# sourceMappingURL=resolveFile.test.js.map