"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const util = __importStar(require("./util"));
describe('Validate util', () => {
    test('tests uniqueFilterFnGenerator', () => {
        const values = [1, 2, 4, 5, 3, 2, 1, 2, 3, 4, 5, 6, 7, 8];
        const uniqFilter = util.uniqueFilterFnGenerator();
        expect(values.filter(uniqFilter).sort()).toEqual([1, 2, 3, 4, 5, 6, 7, 8]);
    });
    test('tests uniqueFilterFnGenerator with extractor', () => {
        const values = [{ word: 'hello' }, { word: 'there' }, { word: 'hello' }];
        const uniqFilter = util.uniqueFilterFnGenerator((w) => w.word);
        expect(values.filter(uniqFilter)).toEqual([values[0], values[1]]);
    });
    test('tests unique', () => {
        expect(util.unique([])).toEqual([]);
        expect(util.unique([4, 3, 2, 1])).toEqual([4, 3, 2, 1]);
        expect(util.unique([4, 4, 3, 2, 3, 1, 2])).toEqual([4, 3, 2, 1]);
    });
    test('tests clean up obj', () => {
        const obj = {
            a: undefined,
            b: 1,
            c: true,
            d: undefined,
            e: 'str',
        };
        const cleanObj = util.clean(obj);
        expect([...Object.keys(cleanObj)]).toEqual(['b', 'c', 'e']);
    });
    test('scan map with no init', () => {
        const v = [1, 2, 3, 4, 5, 6];
        let sum = 0;
        const r = v.map(util.scanMap((a, v) => ((sum += v - a), v)));
        expect(r).toEqual(v);
        expect(sum).toBe(5);
    });
});
//# sourceMappingURL=util.test.js.map